<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid demo</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .container {
            width: 100%;
            height: 100%;
            display: grid;
            /* grid-auto-columns: 50%;
            grid-auto-rows: 25%; */
            grid-template-columns: 1fr 1fr;
            grid-template-rows: 50px auto auto 75px;
            grid-template-areas: 
                "header header"
                "mainmenu div4"
                "mainmenu div3"
                "footer footer";
        }

        .container div {
            border: 1px solid black;
        }
        #header {
            /* grid-column: 1 / 3; */
            grid-area: header;
        }
        #left-nav {
            /* grid-row: 2 / 4; */
            grid-area: mainmenu;
        }
        #div3 {
            grid-area: div3;
        }
        #div4 {
            grid-area: div4;
        }
        #footer {
            /* grid-column: 1 / 3; */
            grid-area: footer;
        }
    </style>
</head>

<body>
    <div class="container">
        <div id="header">Header</div>
        <div id="left-nav">Left navigation</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="footer">footer</div>
    </div>
</body>

</html>